QGIS Application - Bug report #8717
GRASS launch error (qgis 32bit standalone installer)
2013-09-28 09:51 AM - Su Yangtse

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 17435
Description

QGIS windows installer. 2.1.0 & 2.0.1
Grass could launch with "libintl-8.dIl" in none English environment.

History

#1 - 2013-09-29 05:05 AM - Giovanni Manghi
- Target version changed from Future Release - Nice to have to Future Release - High Priority
- Subject changed from Grass launch error. to GRASS launch error (qgis 32bit standalone installer)

As a probable consequence, there is no GRASS plugin in the ggis 32 bit standalone installer.

#2 - 2013-09-29 05:05 AM - Giovanni Manghi
- Category changed from GRASS to Build/Install

#3 - 2013-10-09 06:29 AM - Tomas Brunclik
- File grass-dufour-error.txt added

| have the same problem on Windows 7 32-bit Czech with today downloaded QGIS-OSGeo4W-2.0.1-2-Setup-x86.exe installer. To add more information,
the error message window says (translation from Czech): Entry point of procedure libintl_setlocale in dynamically linked library libintl-8.dll was not found.
The window appears several times during startup by Grass GUI icon and after dismising it the last time, the GRASS terminal, which is open during the
startup, closes.

The said library file is present in the Program Files\QGIS Dufour\\bin directory, it is not missing as it happened in some previous installers (just clarification
for those familiar with the other issue).

Running "grass64" from OSGEO shell gives output in the attached text file.

#4 - 2013-10-09 02:30 PM - Giovanni Manghi
- Resolution set to fixed
- Status changed from Open to Closed

This issues have been fixed in the osgeo4w installers, Now is needed to wait that new standalone installers to be created from osgeo4w packages.

Files

grass-dufour-error.txt 3.42 KB 2013-10-09 Tomas Brunclik

2024-03-20 1/1




